summaryrefslogtreecommitdiffstats
path: root/scripts/findmissingcrystal
diff options
context:
space:
mode:
authortoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
committertoma <toma@283d02a7-25f6-0310-bc7c-ecb5cbfe19da>2009-11-25 17:56:58 +0000
commitbd9e6617827818fd043452c08c606f07b78014a0 (patch)
tree425bb4c3168f9c02f10150f235d2cb998dcc6108 /scripts/findmissingcrystal
downloadtdesdk-bd9e6617827818fd043452c08c606f07b78014a0.tar.gz
tdesdk-bd9e6617827818fd043452c08c606f07b78014a0.zip
Copy the KDE 3.5 branch to branches/trinity for new KDE 3.5 features.
BUG:215923 git-svn-id: svn://anonsvn.kde.org/home/kde/branches/trinity/kdesdk@1054174 283d02a7-25f6-0310-bc7c-ecb5cbfe19da
Diffstat (limited to 'scripts/findmissingcrystal')
-rwxr-xr-xscripts/findmissingcrystal32
1 files changed, 32 insertions, 0 deletions
diff --git a/scripts/findmissingcrystal b/scripts/findmissingcrystal
new file mode 100755
index 00000000..258119c3
--- /dev/null
+++ b/scripts/findmissingcrystal
@@ -0,0 +1,32 @@
+#!/bin/sh
+#
+# Small script to look at Crystal icons and see which ones are still the
+# same as kdeclassic/hicolor.
+
+if [ -z "$1" ] ; then
+ echo "usage: findmissingcrystal module"
+ exit 1
+fi
+
+for icon in `find $1 -name cr*.png` ; do
+ fullname=`echo $icon | sed 's,.*cr,,'`
+ res=`echo $fullname | cut -d- -f1`
+ type=`echo $fullname | cut -d- -f2`
+ name=`echo $fullname | cut -d- -f3`
+ dir="kdeartwork/IconThemes/kdeclassic/${res}x${res}/${type}s/"
+ if [ -d "$dir" ]; then
+ classic=`find "${dir}" -name "$name"`
+ if [ -s "$classic" ]; then
+ diff=`diff $icon $classic`
+ if [ -z "$diff" ]; then
+ echo "ERR/same: $icon"
+ else
+ echo "OK /diff: $icon"
+ fi
+ else
+ echo "OK /new : $icon"
+ fi
+ else
+ echo "OK /new : $icon"
+ fi
+done